## python-es-client 8.17.4

=== docs/requirements.txt ===
elasticsearch8==8.17.1
voluptuous>=0.14.2
pyyaml==6.0.2
pint>=0.19.2

=== debian/changelog ===
python-es-client (8.17.4-2) unstable; urgency=medium

  * Team upload.
  * Reupload as source-only to allow migration to Trixie

 -- Alexandre Detiste <tchet@debian.org>  Mon, 31 Mar 2025 23:41:21 +0200

python-es-client (8.17.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1101572)

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Sat, 29 Mar 2025 12:12:48 +0100

=== debian/control ===
Source: python-es-client
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Karsten Schöke <karsten.schoeke@geobasis-bb.de>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-certifi,
               python3-click,
               python3-dotmap,
               python3-ecs-logging,
               python3-elasticsearch8,
               python3-hatchling,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-voluptuous,
               python3-yaml,
Standards-Version: 4.7.2
Homepage: https://github.com/untergeek/es_client
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-es-client
Vcs-Git: https://salsa.debian.org/python-team/packages/python-es-client.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-es-client
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: Elasticsearch Client builder, complete with schema validation
 Elasticsearch Client with complex schema validation such as:
  - master_only detection
  - Elasticsearch version checking and validation,
    and the option to skip this.
  - Configuration value validation, including file paths for SSL certificates,
    meaning:
    - No unknown keys or unacceptable parameter values are accepted
    - Acceptable values and ranges are established
      (where known)–and easy to amend, if necessary.

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/untergeek/es_client.git \
      refs/tags/@ANY_VERSION@

## python-es-client 9.0.0

=== debian/changelog ===
python-es-client (9.0.0-1) unstable; urgency=medium

  * [a1eff6b] New upstream version 9.0.0
  * [4c0b4ea] d/control Drop Rules-Requires-Root: no, default since dpkg 1.22.13
  * [670ba37] Add Breaks: python3-elasticsearch (<< 9.0.0-1~)
  * [02fdb14] d/watch: switch ti version5
  * [7a6241b] new dependencies added for es9.

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Fri, 03 Oct 2025 09:12:49 +0200

## python-es-client 9.0.1

=== debian/changelog ===
python-es-client (9.0.1-1) unstable; urgency=medium

  * [015034e] New upstream version 9.0.1
  * [8975223] fix debian/py3dist-overrides to es9
              (Closes: #1115782, #1110792)

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Mon, 06 Oct 2025 12:57:06 +0200

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=4
+version=5
 
 opts="mode=git, \
       compression=gz, \

## python-es-client 9.0.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = es_client
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
furo>=2024.8.6

=== debian/changelog ===
python-es-client (9.0.2-1) unstable; urgency=medium

  * [c84ce16] New upstream version 9.0.2
  * [84b8ec8] d/watch: Convert to version 5

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Mon, 13 Oct 2025 15:10:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,22 @@
                python3-all,
                python3-certifi,
                python3-click,
+               python3-cryptography,
                python3-dotmap,
                python3-ecs-logging,
-               python3-elasticsearch8,
+               python3-elasticsearch9,
                python3-hatchling,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-tiered-debug,
                python3-voluptuous,
                python3-yaml,
 Standards-Version: 4.7.2
 Homepage: https://github.com/untergeek/es_client
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-es-client
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-es-client.git
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-es-client
@@ -33,6 +34,7 @@
          ${python3:Depends},
 Recommends: ${python3:Recommends},
 Suggests: ${python3:Suggests},
+Breaks: python3-elasticsearch (<< 9.0.0-1~),
 Description: Elasticsearch Client builder, complete with schema validation
  Elasticsearch Client with complex schema validation such as:
   - master_only detection

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=es-client
# no elasticsearch test instance availible
# deactivate integration tests
export PYBUILD_TEST_ARGS=\
 --ignore=tests/integration \
 -k 'not test_format \
 '

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://github.com/untergeek/es_client.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
